Package com.google.android.exoplayer2.upstream

## Class LoadErrorHandlingPolicy.LoadErrorInfo

- java.lang.Object
- - com.google.android.exoplayer2.upstream.LoadErrorHandlingPolicy.LoadErrorInfo

- Enclosing interface:
    LoadErrorHandlingPolicy

      public static final class LoadErrorHandlingPolicy.LoadErrorInfo
      extends Object

  Holds information about a load task error.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `errorCount` | The number of errors this load task has encountered, including this one.
    `IOException` | `exception` | The exception associated to the load error.
    `LoadEventInfo` | `loadEventInfo` | The `LoadEventInfo` associated with the load that encountered an error.
    `MediaLoadData` | `mediaLoadData` | `MediaLoadData` associated with the load that encountered an error.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LoadErrorInfo​(LoadEventInfo loadEventInfo, MediaLoadData mediaLoadData, IOException exception, int errorCount)` | Creates an instance with the given values.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### loadEventInfo

          public final LoadEventInfo loadEventInfo

      The `LoadEventInfo` associated with the load that encountered an error.

    - #### mediaLoadData

          public final MediaLoadData mediaLoadData

      `MediaLoadData` associated with the load that encountered an error.

    - #### exception

          public final IOException exception

      The exception associated to the load error.

    - #### errorCount

          public final int errorCount

      The number of errors this load task has encountered, including this one.

  - ### Constructor Detail

    - #### LoadErrorInfo

          public LoadErrorInfo​(LoadEventInfo loadEventInfo,
                               MediaLoadData mediaLoadData,
                               IOException exception,
                               int errorCount)

      Creates an instance with the given values.